fiddle_generic Union Reference

`#include <conversions.h>`

## Data Fields

ffi_arg | fffi_arg
ffi_sarg | fffi_sarg
unsigned char | uchar
signed char | schar
unsigned short | ushort
signed short | sshort
unsigned int | uint
signed int | sint
unsigned long | ulong
signed long | slong
float | ffloat
double | ddouble
void * | pointer

## Detailed Description

Definition at line 6 of file conversions.h.

## Field Documentation

double fiddle_generic::ddouble

Definition at line 19 of file conversions.h.

Referenced by generic_to_value(), and value_to_generic().

ffi_arg fiddle_generic::fffi_arg

Definition at line 8 of file conversions.h.

Referenced by generic_to_value().

ffi_sarg fiddle_generic::fffi_sarg

Definition at line 9 of file conversions.h.

Referenced by generic_to_value().

float fiddle_generic::ffloat

Definition at line 18 of file conversions.h.

Referenced by generic_to_value(), and value_to_generic().

void* fiddle_generic::pointer

Definition at line 24 of file conversions.h.

Referenced by generic_to_value(), and value_to_generic().

signed char fiddle_generic::schar

Definition at line 11 of file conversions.h.

Referenced by value_to_generic().

signed int fiddle_generic::sint

Definition at line 15 of file conversions.h.

Referenced by value_to_generic().

signed long fiddle_generic::slong

Definition at line 17 of file conversions.h.

Referenced by generic_to_value(), and value_to_generic().

signed short fiddle_generic::sshort

Definition at line 13 of file conversions.h.

Referenced by value_to_generic().

unsigned char fiddle_generic::uchar

Definition at line 10 of file conversions.h.

Referenced by value_to_generic().

unsigned int fiddle_generic::uint

Definition at line 14 of file conversions.h.

Referenced by value_to_generic().

unsigned long fiddle_generic::ulong

Definition at line 16 of file conversions.h.

Referenced by generic_to_value(), and value_to_generic().

unsigned short fiddle_generic::ushort

Definition at line 12 of file conversions.h.

The documentation for this union was generated from the following file:

- ext/fiddle/conversions.h